Subject: Re: git-svn and rebase causes duplicate log entries in svn

From: Joakim Tjernlund <[email-masked]>
Date: Wed, 15 Nov 2006 11:14:51 +0100

Seth Falcon wrote:
> Hi Joakim,
>
> "Joakim Tjernlund" <[email-masked]> writes:
>   
>> Now I want to rebase my svn branch against latest u-boot and commit
>> my rebased svn branch to svn.
>>
>> I use git-svn commit -b svn -q remotes/git-svn..svn to commit my latest
>> changes and when I do so I see my local changes once more in the svn
>> log:
>> Any way to avoid that?
>>     
>
> I think you want to use git-svn dcommit, and not commit.  See the
> notes in the git-svn man page.  The basic workflow
> that I've been using is:
>
> git-svn fetch  
> git rebase remotes/git-svn  ## on mybranch
> ## make commits on mybranch
> git-svn dcommit remotes/git-svn..mybranch
>
> This results in each commit that I made on mybranch being sent to svn
> as a separate commit.
>
> + seth
>   
Thanks, but for some reson I can't make dcommit work. I just get
git-svn dcommit  -q remotes/git-svn..svn
Unable to extract revision information from commit
3643783f1f2fbdec1514b5e842e97b27622ae8b8~1

My workflow is perhaps a little diffrent I do all dev in git and then
commit to SVN.
I start with creating an empty SVN tree and then do a
   git-svn commit <commit id where my dev started from u-boot>
then I do a
   git-svn commit  -q remotes/git-svn..svn
to add all my own commits.